GetFitRobustG {ptest} | R Documentation

## Compute the Robust g test statistic

### Description

The Robust g test statistic is computed for testing for periodicity.

### Usage

    GetFitRobustG(y, freqSet = c("An", "En"))

### Arguments

`y` | Vector containing the series.
`freqSet` | The set to search frequencies.

### Details

`An` refers to searching frequencies in the range twice as dense as the region of the fourier frequencies, i.e., An = {0,1/n,…,floor((2 n - 1)/2)/n}. `En` refers to searching frequencies in En = {j/101 | j=1,…,50 and j/101 ≥ 1/n}.

### Value

Vector of length 2 containing the Robust g test statistic and the frequency for the maximum periodogram.

### Author(s)

Yuanhao Lai

### References

Ahdesmaki, M., Lahdesmaki, H., Pearson, R., Huttunen, H., and Yli-Harja O.(2005). BMC Bioinformatics 6:117. http://www.biomedcentral.com/1471-2105/6/117

[Package ptest version 1.0-8 Index]